r.composite(1)

NAME
r.composite - Combines red, green and blue raster maps into a single composite raster map.

KEYWORDS
raster, composite, RGB

SYNOPSIS
r.composite
r.composite --help
r.composite [-dc] red=name green=name blue=name [levels=integer] [level_red=integer] [level_green=integer] [level_blue=integer] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-d
    Dither

-c
    Use closest color

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

red=name [required]
    Name of raster map to be used for <red>

green=name [required]
    Name of raster map to be used for <green>

blue=name [required]
    Name of raster map to be used for <blue>

levels=integer
    Number of levels to be used for each component
    Options: 1-256
    Default: 32

level_red=integer
    Number of levels to be used for <red>
    Options: 1-256

level_green=integer
    Number of levels to be used for <green>
    Options: 1-256

level_blue=integer
    Number of levels to be used for <blue>
    Options: 1-256

output=name [required]
    Name for output raster map

DESCRIPTION
This program combines three raster maps to form a composite RGB map. For each input map layer, the corresponding component from the map’s color table is used (e.g. for the red map, the red component is used, and so on). In general, the maps should use a grey-scale color table.

NOTES
The default number of intensity levels for each component is 32, resulting in a total of 32768 possible colors (equivalent to 15 bits per pixel). If significantly more levels than this are used, not only will r.composite take longer to run, but displaying the resulting layer with d.rast will also be significantly slower.

Floyd-Steinberg dithering is optionally used with the -d flag.

EXAMPLES

  RGB composite of three satellite bands
Color composite of a LANDSAT scene (North Carolina sample dataset):

g.region raster=lsat7_2002_10
r.composite blue=lsat7_2002_10 green=lsat7_2002_20 red=lsat7_2002_30 \
            output=lsat7_2002_rgb

  RGB composite with dithering
Creating a composite RGB raster using 32 color levels per layer, with dithering:

r.composite -d red=elevation.r green=elevation.g blue=elevation.b \
            output=elev.composite

SEE ALSO
d.rast, d.rgb, r.blend, r.colors, r.rgb

Wikipedia Entry: Floyd-Steinberg dithering

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.composite source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual